<app-header></app-header>
<main class="w-full">
  <section
    class="bg-odb-500 bg-wwus -mt-20 bg-cover bg-norepeat bg-right w-fullbg-fixed"
  >
    <div
      class="w-full bg-odb-inner py-48 lg:py-64 px-4 lg:px-8 h-full min-h-screen overflow-hidden"
    >
      <div
        class="w-full flex flex-col justify-center grid grid-cols-2 mx-auto lg:max-w-screen-xl 2xl:max-w-screen-2xl"
      >
        <div
          class="w-full lg:px-8 col-span-2 lg:col-span-1 flex flex-col justify-center"
        >
          <h1
            class="text-white font-odb text-5xl font-bold pb-6 sm:text-6xl lg:text-7xl has-line-white"
            appFadeIn
            [duration]="1"
            [delay]="0"
          >
            Contáctanos
          </h1>
          <p
            class="text-gray-100 text-xl md:text-2xl w-full mt-8 max-w-screen-sm pr-8"
            appFadeIn
            [duration]="1"
            [delay]="0"
          >
            Nuestro equipo de profesionales siempre está dispuesto a ayudarte y
            responder todas tus dudas.
          </p>
        </div>

        <form
          class="w-full my-12 col-span-2 lg:col-span-1 p-4 lg:w-4/6 mx-auto lg:p-8 bg-odb-100 rounded-xl dropb-shadow-xl relative"
          [formGroup]="contactForm"
          (ngSubmit)="onSubmit()"
        >
          <input
            type="text"
            autocomplete="name"
            name="name"
            id="name"
            required
            aria-label="Tu nombre"
            aria-required="true"
            class="form-input-full"
            placeholder="Tu nombre (obligatorio)"
            formControlName="name"
          />
          <span
            class="block -mt-4 mb-4 pl-2 text-red-600"
            *ngIf="name.invalid && (name.dirty || name.touched)"
            >Este campo es obligatorio</span
          >
          <input
            type="email"
            autocomplete="email"
            name="email"
            id="email"
            required
            aria-label="Tu e-mail"
            aria-required="true"
            class="form-input-full"
            placeholder="Tu e-mail (obligatorio)"
            formControlName="email"
          />
          <span
            class="block -mt-4 mb-4 pl-2 text-red-600"
            *ngIf="email.invalid && (email.dirty || email.touched)"
            >Este campo debe contener una dirección de e-mail real</span
          >
          <input
            type="tel"
            autocomplete="mobile"
            name="tel"
            id="tel"
            required
            aria-label="Teléfono de contacto"
            aria-required="true"
            class="form-input-full"
            placeholder="Tu teléfono"
            formControlName="tel"
          />

          <select
            name="reason"
            id="reason"
            class="p-2 text-lg mb-4 border-2 rounded cursor-pointer w-full"
            required
            aria-label="Motivo de contacto"
            aria-required="true"
            formControlName="reason"
          >
            <option value disabled selected hidden>Motivo de contacto</option>
            <option value="Solicitar información sobre un inmueble">
              Solicitar información sobre un inmueble
            </option>
            <option value="Solicitar información sobre trabajar con nosotros">
              Solicitar información sobre trabajar con nosotros
            </option>
            <option value="Dudas sobre nuestros procesos">
              Dudas sobre nuestros procesos
            </option>
            <option value="Otro">Otro</option>
          </select>
          <span
            class="block -mt-4 mb-4 pl-2 text-red-600"
            *ngIf="reason.invalid && (reason.dirty || reason.touched)"
            >Debe seleccionar un motivo de contacto</span
          >
          <label class="block px-1 text-odb-800" for="comments"
            >Comentarios (opcional)</label
          >
          <textarea
            name="comments"
            id="comments"
            rows="4"
            class="w-full rounded"
            formControlName="comments"
          ></textarea>
          <div class="mb-4">
            <input
              type="checkbox"
              id="contactAcceptance"
              formControlName="acceptance"
              class="inline mr-2"
              required
              aria-required="true"
            /><label for="contactAcceptance" class="text-sm leading-4"
              >Acepto la
              <a class="text-blue-500" href="/politica-de-privacidad">
                Política de Privacidad y Protección de Datos
              </a></label
            >
          </div>
          <re-captcha
            [hidden]="captcha"
            (resolved)="resolved($event)"
            siteKey="6LebpNohAAAAAH6P3DtLx8lQ_Bl9aCdXtugpqxiB"
          ></re-captcha>
          <button
            type="submit"
            [ngClass]="{
              'px-4 py-2.5 w-full bg-odb-400 text-white block font-medium rounded cursor-pointer transition-all hover:text-white hover:bg-odb-800 border-2 border-odb-400': true,
              'opacity-50 pointer-events-none': contactForm.invalid,
              hidden: !captcha
            }"
          >
            Contactar
          </button>
          <div
            class="w-full absolute top-0 left-0 h-full bg-odb-50 flex items-center justify-center"
            *ngIf="sending"
          >
            <span
              class="w-10 h-10 bg-transparent border-4 border-t-odb-400 border-r-odb-400 rounded-full animate-spin transition-all"
            ></span>
          </div>
          <div
            class="w-full absolute top-0 left-0 h-full bg-trans-white-90 flex flex-col items-center justify-center border-2 border-green-600 rounded-xl"
            *ngIf="sent"
          >
            <i class="bi bi-check-circle text-green-600 text-8xl"></i>
            <h4 class="text-2xl mt-4 text-odb-500">Mensaje enviado</h4>
          </div>
        </form>
      </div>
    </div>
  </section>
</main>
<app-footer></app-footer>
